List CRT templates
Reusable CRT shapes defined for this service's DRMtoday sub-organization.
curl -X GET "https://api.5centscdn.com/v2/drm/crt-templates" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/crt-templates"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/crt-templates", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/drm/crt-templates", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/crt-templates')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"templates": [
{
"uuid": "c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34",
"name": "rental-relative-expiration",
"description": "Expires 7 days after issuance; playback must finish within 48 hours.",
"tags": [
"profile",
"rental"
],
"template": {
"storeLicense": true,
"profile": {
"type": "rental",
"relativeExpiration": "P7D",
"playDuration": "PT48H"
}
}
}
]
}
GET
/drm/crt-templates
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
Operation outcome.
templatesarray
List of CRT templates.
Was this page helpful?